# MyCard Ruby Gem

Create your own business card as a Ruby gem quickly and simply. The inspiration for this project comes from [Tierney Cyren](https://github.com/bnb/bitandbang)'s npm card project. Why should our Javascript friends have all the fun? 🤣

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'mycard'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install mycard

## Usage

To run MyCard navigate to the project folder in your favorite terminal and type `bin/mycard`. This will give you my business card, which is great to have, but you probably want to put in your own details. To do so open up the project in your preferred code editor and change the details in the `details.json` file. Once you save and run the executable again from your terminal you will now see your details. 

Want to publish your business card to RubyGems.org? Check out their [publishing guide](https://guides.rubygems.org/publishing/). You will need to sign up for a user account and follow the instructions. 

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/benhayehudi/mycard. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Mycard project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/benhayehudi/mycard/blob/master/CODE_OF_CONDUCT.md).
